
Figure - Bug #118286
【IOVDEV-30856】【内部】【VC1】【100】【台架】【EE环境】【副屏】升级100版本，快捷应用中心断掉
网络，打开爱奇艺视频播放页加载约2分钟，爱奇艺播放页显示无网络连接
2023-05-26 19:47 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-26

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.C101��【副屏版本号】：01.00.100.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230526.16.59

【前提条件】：副屏上电

连接中控、时间与中控时间同步

连接中控以太网

网络连接情况正常

【操作步骤】

1.下滑快捷应用中心

2.断掉网络，打开爱奇艺视频，

3.点击仍任意视频，进入视频播放页

【实际结果】

1.副屏快捷中心断掉网络，打开爱奇艺视频，播放任意视频，爱奇艺视频播放页加载约2分钟显示无网络

【期望结果】

11.副屏快捷中心断掉网络，使用以太网打开爱奇艺视频，播放任意视频，爱奇艺视频正常播放视频

【备注】：

【备注】：

【当前开机次数】：副屏当前开机第119次

【百度应用版本】：10.6.1003.9

【硬件版本号】：

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.100.c103

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402
History

#1 - 2023-05-26 19:49 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118286

#2 - 2023-05-26 19:51 - CDTS_Test 吴诗雨

- Category changed from CD-FW to LC

- Assignee changed from CD FW 曹覃刚 to CD LC 陶洪普

#3 - 2023-05-30 16:17 - 短距组_SSRDCNJ 王孟伟

【summary】

从操作步骤第2步得知断开网络之后，使用wifi网络打开爱奇艺视频，网络太慢，导致缓存时间过长

【Analysis】

//wifi连接成功

Line 449875: 05-26 17:01:25.425  wifi 32447 32447 I wpa_supplicant: wlan0: CTRL-EVENT-CONNECTED - Connection to 08:79:8c:36:8a:50 completed [id=0

id_str=%7B%22configKey%22%3A%22%5C%22testphone%5C%22WPA_PSK%22%2C%22creatorUid%22%3A%221000%22%7D]

//尝试为非网关添加路由时出现了异常。错误信息 "Machine is not on the network" 意味着网络上没有找到该设备

05-26 17:01:25.576  root   679 15076 E Netd    : no such netId 114

05-26 17:01:25.576  1002 20880 20880 D BluetoothAdapterService: android.net.wifi.STATE_CHANGE

05-26 17:01:25.577  1000  1509  1790 E ConnectivityService: Exception in networkAddRouteParcel for non-gateway: android.os.ServiceSpecificException: Machine is not

on the network (code 64)

//未获取到有效的mac地址等信息，更新网关失败

05-26 17:01:25.632  1000  1509  1790 W BestClock: java.time.DateTimeException: Missing NTP fix

05-26 17:01:25.643  root     0     0 W [10243.484180] cnss-daemon: Invalid mac address

05-26 17:01:25.644  root     0     0 W [10243.484187] cnss-daemon: failed to update gateway

【Next Action】

这个错误可能是由于设备没有成功连接到网络而导致的。请检查设备是否连接到正确的AP网络，或者尝试重新启动设备或AP

如果使用以上方法仍可以复现，请帮忙抓取wifi log(包含kernel log，tcpdump log)，方便我们继续分析wifi 吞吐量

#4 - 2023-05-30 19:56 - CDTS-TEST 周婷

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

如飞书沟通，需内部复现和同步客户jira

#5 - 2023-06-03 14:49 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

6.3

网络问题，106已合入

#6 - 2023-06-12 14:53 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
#7 - 2023-06-12 14:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-30856.zip 10.9 MB 2023-05-26 CDTS_Test 吴诗雨
